commit:     d50ecdbeae087ff826af359e83d6bd35dc42b400
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 14 09:39:16 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Jan 14 09:53:37 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d50ecdbe

dev-python/pep8: Version Bump

Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/pep8/Manifest          |  1 +
 dev-python/pep8/pep8-1.7.0.ebuild | 38 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/pep8/Manifest b/dev-python/pep8/Manifest
index c4cec7c..756a13d 100644
--- a/dev-python/pep8/Manifest
+++ b/dev-python/pep8/Manifest
@@ -3,3 +3,4 @@ DIST pep8-1.5.6.tar.gz 66944 SHA256 
1a8be992f8daac6144af0f3972f40159f46d81cb36dd
 DIST pep8-1.5.7.tar.gz 67302 SHA256 
15b42131b25f376165d195fe4e17b0a28311182aaf9330d5eb575bbeda5a6989 SHA512 
ae5cc6cc47d71e90059fec0c89f5e8e7b71b08d185c95b0c8cf0aa9acaee4841d0cfc617fb1ca6d7af7f4721480a1992b6178dc845d80dfe87fe3792d515a3eb
 WHIRLPOOL 
09621e17fec73de00ab4840365898084651bab4cbcf982a1393eba5e0bb2d04c0374c5dd69bf6915b6542b4ce6ac13a614395811387badf6384f266d0b61fec3
 DIST pep8-1.6.1.tar.gz 73103 SHA256 
573677cb85ff089244b0f99af955f76c2e37456632610b6deda6167139ce155a SHA512 
7a9d83cfe7b61b2ef598c74a465b81971ad1d0be3a708410e431d8475fc507204979857c10dbf4332701aac0d28244f19dc9c400ca85161acdd61d8084158ef8
 WHIRLPOOL 
0a032be9cdea4f45c86255dddbb06e1629e148e8b15e6a83d8abc7ed06f52d6c184f2953367dca5b94978e2351b3873c6cf3bc02c811aa9f8ce50964b31306c5
 DIST pep8-1.6.2.tar.gz 74534 SHA256 
b8b7e35630b5539e26a197dfc6005be9e1e9a135496b377723a8ebc01b9bcbff SHA512 
f046a1e3ed68a7c409ad6c501a54ed14188de670f0e0d873d2d7960e45fec0c4e2c27067877854ecbb20f3690f9d2ca1fa4bc1cc52b22e1f71bd0aec4ddb6fc9
 WHIRLPOOL 
cf482b333da7a7c936277e2fdab057b6e9b30ef7597dde0f4e49abc3b18727584814779d15216977371a8e72b593395083bda8728600d55fab6ce3b43ce777ee
+DIST pep8-1.7.0.tar.gz 79704 SHA256 
a113d5f5ad7a7abacef9df5ec3f2af23a20a28005921577b15dd584d099d5900 SHA512 
0077dac97846fe3a5fc654cd3ce8578845cf3b93ee097a3ae6ff2db4ae0797ad5766c69f036d6a5add786eb929a9beb6d657ab693227b8df2ba46ec0f9284b0a
 WHIRLPOOL 
6ff0baa6c1aec5db641cff6cefdb2310f31af482c92e97d27edd3b9ae85d8f255c1283cd9261b9db74d5d5d4c73c72180e55edb3303f2f018889bab7ea9b00a3

diff --git a/dev-python/pep8/pep8-1.7.0.ebuild 
b/dev-python/pep8/pep8-1.7.0.ebuild
new file mode 100644
index 0000000..554faa7
--- /dev/null
+++ b/dev-python/pep8/pep8-1.7.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python style guide checker"
+HOMEPAGE="https://github.com/PyCQA/pep8 https://pypi.python.org/pypi/pep8";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~x86 ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris 
~x64-solaris ~x86-solaris"
+IUSE="doc"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       PYTHONPATH="${S}" "${PYTHON}" pep8.py -v --statistics pep8.py || die
+       PYTHONPATH="${S}" "${PYTHON}" pep8.py -v --testsuite=testsuite || die
+       PYTHONPATH="${S}" "${PYTHON}" pep8.py --doctest -v || die
+       esetup.py test
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to